Skip to main content
Monitoring & Collection/Zaku

GetCollectionStats

Retrieve data collection statistics for a platform

GET/api/v1/platforms/{platformId}/collection-stats

Operation ID

GetCollectionStats

Since

1.0.0

Execution Mode

Synchronous

Auth Context

Auth Required

Auth Context

Send these values as request headers when calling this API.

AuthorizationstringRequired

Bearer Token

X-Tenant-IDstring

X-Tenant-ID

Request Inputs

Path Parameters

  • platformId
    StringRequired

    Platform ID to retrieve collection stats for

Responses

200 OK
200 OK

On success, this API returns the following response structure.

  • platformId
    String

    Platform ID these stats belong to

    Example: plat-001

  • totalPods
    Integer

    Total number of pods collected

    Example: 500

  • filteredPods
    Integer

    Number of pods excluded by collection filters

    Example: 45

  • p50LatencyMs
    Long

    50th percentile collection latency in milliseconds

    Example: 12.5

  • p95LatencyMs
    Long

    95th percentile collection latency in milliseconds

    Example: 45.2

  • p99LatencyMs
    Long

    99th percentile collection latency in milliseconds

    Example: 98.7

  • lastCollectedAt
    String

    Timestamp of the last successful collection

    Example: 2026-01-15T08:00:00Z